Skip to main content
POST
/
api
/
agents
/
{agent_uid}
/
triggers
Add trigger
curl --request POST \
  --url https://api.example.com/api/agents/{agent_uid}/triggers \
  --header 'Content-Type: application/json' \
  --data '
{
  "trigger_type": "<string>",
  "configuration": {}
}
'
Adds a trigger to an agent. Triggers define the events that cause an agent to run.

Path parameters

agent_uid
string
required
UUID of the agent.

Request body

trigger_type
string
required
Type of trigger. One of: invoice, email_received, cron, scheduled, slack_message.Use Trigger types to get the full catalogue.
configuration
object
Trigger-specific configuration. Structure varies by trigger type. Pass null or omit for defaults.

Example

{
  "trigger_type": "email_received",
  "configuration": null
}

Response

Returns 201 with the created trigger:
{
  "status": "success",
  "status_code": 201,
  "message": "Trigger created",
  "data": {
    "uid": "t1-uuid-here",
    "agent_uid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "trigger_type": "email_received",
    "configuration": null,
    "is_active": true,
    "created_on": "2026-03-20T10:00:00Z",
    "updated_on": "2026-03-20T10:00:00Z"
  }
}